cc.Class({
    extends: cc.Component,

    properties: {
        animationArray:{
            type:[cc.Animation],
            default:[]
        },

        buttonArray:{
            type:[cc.Button],
            default:[]
        }
    },

    onButtonPressed(e,customEventData){
        for(const button of this.buttonArray){
            button.node.active=false;
        }
        const timeInterval=Number.parseFloat(customEventData);
        for(let n=0;n<this.animationArray.length;n++){
            const i=n%10;
            const j=Math.floor(n/10);
            this.animationArray[n].node.x=-440;
            this.animationArray[n].node.y=280;
            this.scheduleOnce(function(){
                this.scheduleOnce(function(){
                    this.animationArray[n].playAdditive("down_"+j);
                }.bind(this),this.animationArray[n].playAdditive("right_"+i).duration);   
            }.bind(this),n*timeInterval);
        }
        this.scheduleOnce(function(){
            for(const button of this.buttonArray){
                button.node.active=true;
            }
        }.bind(this),customEventData*this.animationArray.length+timeInterval);
    }
});
